package io.swagger.model;

import io.swagger.model.Grid;
import io.swagger.model.SamplePoints;
import io.swagger.v3.oas.annotations.media.Schema;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * A Designated Market Area location metadata object
 **/
@Schema(description="A Designated Market Area location metadata object")
public class DmaObj   {
  
  @Schema(required = true, description = "")
  private Integer dmaId = null;
  
  @Schema(required = true, description = "")
  private String dmaName = null;
  
  @Schema(required = true, description = "")
  private String timezone = null;
  
  @Schema(required = true, description = "")
  private Integer population = null;
  
  @Schema(required = true, description = "")
  private String countryCode = null;
  
  @Schema(required = true, description = "")
  private String countryName = null;
  
  @Schema(required = true, description = "")
  private SamplePoints samplePoints = null;
  
  @Schema(required = true, description = "")
  private Grid grid = null;
 /**
   * Get dmaId
   * @return dmaId
  **/
  @JsonProperty("dmaId")
  public Integer getDmaId() {
    return dmaId;
  }

  public void setDmaId(Integer dmaId) {
    this.dmaId = dmaId;
  }

  public DmaObj dmaId(Integer dmaId) {
    this.dmaId = dmaId;
    return this;
  }

 /**
   * Get dmaName
   * @return dmaName
  **/
  @JsonProperty("dmaName")
  public String getDmaName() {
    return dmaName;
  }

  public void setDmaName(String dmaName) {
    this.dmaName = dmaName;
  }

  public DmaObj dmaName(String dmaName) {
    this.dmaName = dmaName;
    return this;
  }

 /**
   * Get timezone
   * @return timezone
  **/
  @JsonProperty("timezone")
  public String getTimezone() {
    return timezone;
  }

  public void setTimezone(String timezone) {
    this.timezone = timezone;
  }

  public DmaObj timezone(String timezone) {
    this.timezone = timezone;
    return this;
  }

 /**
   * Get population
   * @return population
  **/
  @JsonProperty("population")
  public Integer getPopulation() {
    return population;
  }

  public void setPopulation(Integer population) {
    this.population = population;
  }

  public DmaObj population(Integer population) {
    this.population = population;
    return this;
  }

 /**
   * Get countryCode
   * @return countryCode
  **/
  @JsonProperty("countryCode")
  public String getCountryCode() {
    return countryCode;
  }

  public void setCountryCode(String countryCode) {
    this.countryCode = countryCode;
  }

  public DmaObj countryCode(String countryCode) {
    this.countryCode = countryCode;
    return this;
  }

 /**
   * Get countryName
   * @return countryName
  **/
  @JsonProperty("countryName")
  public String getCountryName() {
    return countryName;
  }

  public void setCountryName(String countryName) {
    this.countryName = countryName;
  }

  public DmaObj countryName(String countryName) {
    this.countryName = countryName;
    return this;
  }

 /**
   * Get samplePoints
   * @return samplePoints
  **/
  @JsonProperty("samplePoints")
  public SamplePoints getSamplePoints() {
    return samplePoints;
  }

  public void setSamplePoints(SamplePoints samplePoints) {
    this.samplePoints = samplePoints;
  }

  public DmaObj samplePoints(SamplePoints samplePoints) {
    this.samplePoints = samplePoints;
    return this;
  }

 /**
   * Get grid
   * @return grid
  **/
  @JsonProperty("grid")
  public Grid getGrid() {
    return grid;
  }

  public void setGrid(Grid grid) {
    this.grid = grid;
  }

  public DmaObj grid(Grid grid) {
    this.grid = grid;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DmaObj {\n");
    
    sb.append("    dmaId: ").append(toIndentedString(dmaId)).append("\n");
    sb.append("    dmaName: ").append(toIndentedString(dmaName)).append("\n");
    sb.append("    timezone: ").append(toIndentedString(timezone)).append("\n");
    sb.append("    population: ").append(toIndentedString(population)).append("\n");
    sb.append("    countryCode: ").append(toIndentedString(countryCode)).append("\n");
    sb.append("    countryName: ").append(toIndentedString(countryName)).append("\n");
    sb.append("    samplePoints: ").append(toIndentedString(samplePoints)).append("\n");
    sb.append("    grid: ").append(toIndentedString(grid)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
