package io.swagger.model;

import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import org.joda.time.LocalDate;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * A daily weather ECMWF forecast object.
 **/
@Schema(description="A daily weather ECMWF forecast object.")
public class EcmwfForecastDayObj   {
  
  @Schema(required = true, description = "")
  private LocalDate date = null;
  
  @Schema(description = "")
  private Date timestampInit = null;
  
  @Schema(description = "")
  private Float cldCvrMin = null;
  
  @Schema(description = "")
  private Float cldCvrAvg = null;
  
  @Schema(description = "")
  private Float cldCvrMax = null;
  
  @Schema(description = "")
  private Float dewPtMin = null;
  
  @Schema(description = "")
  private Float dewPtAvg = null;
  
  @Schema(description = "")
  private Float dewPtMax = null;
  
  @Schema(description = "")
  private Float feelsLikeMin = null;
  
  @Schema(description = "")
  private Float feelsLikeAvg = null;
  
  @Schema(description = "")
  private Float feelsLikeMax = null;
  
  @Schema(description = "")
  private Float heatIndexMin = null;
  
  @Schema(description = "")
  private Float heatIndexAvg = null;
  
  @Schema(description = "")
  private Float heatIndexMax = null;
  
  @Schema(description = "")
  private Float mslPresMin = null;
  
  @Schema(description = "")
  private Float mslPresAvg = null;
  
  @Schema(description = "")
  private Float mslPresMax = null;
  
  @Schema(description = "")
  private Float precip = null;
  
  @Schema(description = "")
  private Float precipProb = null;
  
  @Schema(description = "")
  private Float radSolarMin = null;
  
  @Schema(description = "")
  private Float radSolarAvg = null;
  
  @Schema(description = "")
  private Float radSolarMax = null;
  
  @Schema(description = "")
  private Float radSolarTot = null;
  
  @Schema(description = "")
  private Float radSolarDirectMin = null;
  
  @Schema(description = "")
  private Float radSolarDirectAvg = null;
  
  @Schema(description = "")
  private Float radSolarDirectMax = null;
  
  @Schema(description = "")
  private Float radSolarDirectTot = null;
  
  @Schema(description = "")
  private Float radSolarDirectPMin = null;
  
  @Schema(description = "")
  private Float radSolarDirectPAvg = null;
  
  @Schema(description = "")
  private Float radSolarDirectPMax = null;
  
  @Schema(description = "")
  private Float radSolarDirectPTot = null;
  
  @Schema(description = "")
  private Float relHumMin = null;
  
  @Schema(description = "")
  private Float relHumAvg = null;
  
  @Schema(description = "")
  private Float relHumMax = null;
  
  @Schema(description = "")
  private Float sfcPresMin = null;
  
  @Schema(description = "")
  private Float sfcPresAvg = null;
  
  @Schema(description = "")
  private Float sfcPresMax = null;
  
  @Schema(description = "")
  private Float snowfall = null;
  
  @Schema(description = "")
  private Float snowfallProb = null;
  
  @Schema(description = "")
  private Float spcHumMin = null;
  
  @Schema(description = "")
  private Float spcHumAvg = null;
  
  @Schema(description = "")
  private Float spcHumMax = null;
  
  @Schema(description = "")
  private Float tempMin = null;
  
  @Schema(description = "")
  private Float tempAvg = null;
  
  @Schema(description = "")
  private Float tempMax = null;
  
  @Schema(description = "")
  private Float wetBulbMin = null;
  
  @Schema(description = "")
  private Float wetBulbAvg = null;
  
  @Schema(description = "")
  private Float wetBulbMax = null;
  
  @Schema(description = "")
  private Float windChillMin = null;
  
  @Schema(description = "")
  private Float windChillAvg = null;
  
  @Schema(description = "")
  private Float windChillMax = null;
  
  @Schema(description = "")
  private Float windDirAvg = null;
  
  @Schema(description = "")
  private Float windDir80mAvg = null;
  
  @Schema(description = "")
  private Float windDir100mAvg = null;
  
  @Schema(description = "")
  private Float windSpdMin = null;
  
  @Schema(description = "")
  private Float windSpdAvg = null;
  
  @Schema(description = "")
  private Float windSpdMax = null;
  
  @Schema(description = "")
  private Float windSpd80mMin = null;
  
  @Schema(description = "")
  private Float windSpd80mAvg = null;
  
  @Schema(description = "")
  private Float windSpd80mMax = null;
  
  @Schema(description = "")
  private Float windSpd100mMin = null;
  
  @Schema(description = "")
  private Float windSpd100mAvg = null;
  
  @Schema(description = "")
  private Float windSpd100mMax = null;
 /**
   * Get date
   * @return date
  **/
  @JsonProperty("date")
  public LocalDate getDate() {
    return date;
  }

  public void setDate(LocalDate date) {
    this.date = date;
  }

  public EcmwfForecastDayObj date(LocalDate date) {
    this.date = date;
    return this;
  }

 /**
   * Get timestampInit
   * @return timestampInit
  **/
  @JsonProperty("timestampInit")
  public Date getTimestampInit() {
    return timestampInit;
  }

  public void setTimestampInit(Date timestampInit) {
    this.timestampInit = timestampInit;
  }

  public EcmwfForecastDayObj timestampInit(Date timestampInit) {
    this.timestampInit = timestampInit;
    return this;
  }

 /**
   * Get cldCvrMin
   * @return cldCvrMin
  **/
  @JsonProperty("cldCvrMin")
  public Float getCldCvrMin() {
    return cldCvrMin;
  }

  public void setCldCvrMin(Float cldCvrMin) {
    this.cldCvrMin = cldCvrMin;
  }

  public EcmwfForecastDayObj cldCvrMin(Float cldCvrMin) {
    this.cldCvrMin = cldCvrMin;
    return this;
  }

 /**
   * Get cldCvrAvg
   * @return cldCvrAvg
  **/
  @JsonProperty("cldCvrAvg")
  public Float getCldCvrAvg() {
    return cldCvrAvg;
  }

  public void setCldCvrAvg(Float cldCvrAvg) {
    this.cldCvrAvg = cldCvrAvg;
  }

  public EcmwfForecastDayObj cldCvrAvg(Float cldCvrAvg) {
    this.cldCvrAvg = cldCvrAvg;
    return this;
  }

 /**
   * Get cldCvrMax
   * @return cldCvrMax
  **/
  @JsonProperty("cldCvrMax")
  public Float getCldCvrMax() {
    return cldCvrMax;
  }

  public void setCldCvrMax(Float cldCvrMax) {
    this.cldCvrMax = cldCvrMax;
  }

  public EcmwfForecastDayObj cldCvrMax(Float cldCvrMax) {
    this.cldCvrMax = cldCvrMax;
    return this;
  }

 /**
   * Get dewPtMin
   * @return dewPtMin
  **/
  @JsonProperty("dewPtMin")
  public Float getDewPtMin() {
    return dewPtMin;
  }

  public void setDewPtMin(Float dewPtMin) {
    this.dewPtMin = dewPtMin;
  }

  public EcmwfForecastDayObj dewPtMin(Float dewPtMin) {
    this.dewPtMin = dewPtMin;
    return this;
  }

 /**
   * Get dewPtAvg
   * @return dewPtAvg
  **/
  @JsonProperty("dewPtAvg")
  public Float getDewPtAvg() {
    return dewPtAvg;
  }

  public void setDewPtAvg(Float dewPtAvg) {
    this.dewPtAvg = dewPtAvg;
  }

  public EcmwfForecastDayObj dewPtAvg(Float dewPtAvg) {
    this.dewPtAvg = dewPtAvg;
    return this;
  }

 /**
   * Get dewPtMax
   * @return dewPtMax
  **/
  @JsonProperty("dewPtMax")
  public Float getDewPtMax() {
    return dewPtMax;
  }

  public void setDewPtMax(Float dewPtMax) {
    this.dewPtMax = dewPtMax;
  }

  public EcmwfForecastDayObj dewPtMax(Float dewPtMax) {
    this.dewPtMax = dewPtMax;
    return this;
  }

 /**
   * Get feelsLikeMin
   * @return feelsLikeMin
  **/
  @JsonProperty("feelsLikeMin")
  public Float getFeelsLikeMin() {
    return feelsLikeMin;
  }

  public void setFeelsLikeMin(Float feelsLikeMin) {
    this.feelsLikeMin = feelsLikeMin;
  }

  public EcmwfForecastDayObj feelsLikeMin(Float feelsLikeMin) {
    this.feelsLikeMin = feelsLikeMin;
    return this;
  }

 /**
   * Get feelsLikeAvg
   * @return feelsLikeAvg
  **/
  @JsonProperty("feelsLikeAvg")
  public Float getFeelsLikeAvg() {
    return feelsLikeAvg;
  }

  public void setFeelsLikeAvg(Float feelsLikeAvg) {
    this.feelsLikeAvg = feelsLikeAvg;
  }

  public EcmwfForecastDayObj feelsLikeAvg(Float feelsLikeAvg) {
    this.feelsLikeAvg = feelsLikeAvg;
    return this;
  }

 /**
   * Get feelsLikeMax
   * @return feelsLikeMax
  **/
  @JsonProperty("feelsLikeMax")
  public Float getFeelsLikeMax() {
    return feelsLikeMax;
  }

  public void setFeelsLikeMax(Float feelsLikeMax) {
    this.feelsLikeMax = feelsLikeMax;
  }

  public EcmwfForecastDayObj feelsLikeMax(Float feelsLikeMax) {
    this.feelsLikeMax = feelsLikeMax;
    return this;
  }

 /**
   * Get heatIndexMin
   * @return heatIndexMin
  **/
  @JsonProperty("heatIndexMin")
  public Float getHeatIndexMin() {
    return heatIndexMin;
  }

  public void setHeatIndexMin(Float heatIndexMin) {
    this.heatIndexMin = heatIndexMin;
  }

  public EcmwfForecastDayObj heatIndexMin(Float heatIndexMin) {
    this.heatIndexMin = heatIndexMin;
    return this;
  }

 /**
   * Get heatIndexAvg
   * @return heatIndexAvg
  **/
  @JsonProperty("heatIndexAvg")
  public Float getHeatIndexAvg() {
    return heatIndexAvg;
  }

  public void setHeatIndexAvg(Float heatIndexAvg) {
    this.heatIndexAvg = heatIndexAvg;
  }

  public EcmwfForecastDayObj heatIndexAvg(Float heatIndexAvg) {
    this.heatIndexAvg = heatIndexAvg;
    return this;
  }

 /**
   * Get heatIndexMax
   * @return heatIndexMax
  **/
  @JsonProperty("heatIndexMax")
  public Float getHeatIndexMax() {
    return heatIndexMax;
  }

  public void setHeatIndexMax(Float heatIndexMax) {
    this.heatIndexMax = heatIndexMax;
  }

  public EcmwfForecastDayObj heatIndexMax(Float heatIndexMax) {
    this.heatIndexMax = heatIndexMax;
    return this;
  }

 /**
   * Get mslPresMin
   * @return mslPresMin
  **/
  @JsonProperty("mslPresMin")
  public Float getMslPresMin() {
    return mslPresMin;
  }

  public void setMslPresMin(Float mslPresMin) {
    this.mslPresMin = mslPresMin;
  }

  public EcmwfForecastDayObj mslPresMin(Float mslPresMin) {
    this.mslPresMin = mslPresMin;
    return this;
  }

 /**
   * Get mslPresAvg
   * @return mslPresAvg
  **/
  @JsonProperty("mslPresAvg")
  public Float getMslPresAvg() {
    return mslPresAvg;
  }

  public void setMslPresAvg(Float mslPresAvg) {
    this.mslPresAvg = mslPresAvg;
  }

  public EcmwfForecastDayObj mslPresAvg(Float mslPresAvg) {
    this.mslPresAvg = mslPresAvg;
    return this;
  }

 /**
   * Get mslPresMax
   * @return mslPresMax
  **/
  @JsonProperty("mslPresMax")
  public Float getMslPresMax() {
    return mslPresMax;
  }

  public void setMslPresMax(Float mslPresMax) {
    this.mslPresMax = mslPresMax;
  }

  public EcmwfForecastDayObj mslPresMax(Float mslPresMax) {
    this.mslPresMax = mslPresMax;
    return this;
  }

 /**
   * Get precip
   * @return precip
  **/
  @JsonProperty("precip")
  public Float getPrecip() {
    return precip;
  }

  public void setPrecip(Float precip) {
    this.precip = precip;
  }

  public EcmwfForecastDayObj precip(Float precip) {
    this.precip = precip;
    return this;
  }

 /**
   * Get precipProb
   * @return precipProb
  **/
  @JsonProperty("precipProb")
  public Float getPrecipProb() {
    return precipProb;
  }

  public void setPrecipProb(Float precipProb) {
    this.precipProb = precipProb;
  }

  public EcmwfForecastDayObj precipProb(Float precipProb) {
    this.precipProb = precipProb;
    return this;
  }

 /**
   * Get radSolarMin
   * @return radSolarMin
  **/
  @JsonProperty("radSolarMin")
  public Float getRadSolarMin() {
    return radSolarMin;
  }

  public void setRadSolarMin(Float radSolarMin) {
    this.radSolarMin = radSolarMin;
  }

  public EcmwfForecastDayObj radSolarMin(Float radSolarMin) {
    this.radSolarMin = radSolarMin;
    return this;
  }

 /**
   * Get radSolarAvg
   * @return radSolarAvg
  **/
  @JsonProperty("radSolarAvg")
  public Float getRadSolarAvg() {
    return radSolarAvg;
  }

  public void setRadSolarAvg(Float radSolarAvg) {
    this.radSolarAvg = radSolarAvg;
  }

  public EcmwfForecastDayObj radSolarAvg(Float radSolarAvg) {
    this.radSolarAvg = radSolarAvg;
    return this;
  }

 /**
   * Get radSolarMax
   * @return radSolarMax
  **/
  @JsonProperty("radSolarMax")
  public Float getRadSolarMax() {
    return radSolarMax;
  }

  public void setRadSolarMax(Float radSolarMax) {
    this.radSolarMax = radSolarMax;
  }

  public EcmwfForecastDayObj radSolarMax(Float radSolarMax) {
    this.radSolarMax = radSolarMax;
    return this;
  }

 /**
   * Get radSolarTot
   * @return radSolarTot
  **/
  @JsonProperty("radSolarTot")
  public Float getRadSolarTot() {
    return radSolarTot;
  }

  public void setRadSolarTot(Float radSolarTot) {
    this.radSolarTot = radSolarTot;
  }

  public EcmwfForecastDayObj radSolarTot(Float radSolarTot) {
    this.radSolarTot = radSolarTot;
    return this;
  }

 /**
   * Get radSolarDirectMin
   * @return radSolarDirectMin
  **/
  @JsonProperty("radSolarDirectMin")
  public Float getRadSolarDirectMin() {
    return radSolarDirectMin;
  }

  public void setRadSolarDirectMin(Float radSolarDirectMin) {
    this.radSolarDirectMin = radSolarDirectMin;
  }

  public EcmwfForecastDayObj radSolarDirectMin(Float radSolarDirectMin) {
    this.radSolarDirectMin = radSolarDirectMin;
    return this;
  }

 /**
   * Get radSolarDirectAvg
   * @return radSolarDirectAvg
  **/
  @JsonProperty("radSolarDirectAvg")
  public Float getRadSolarDirectAvg() {
    return radSolarDirectAvg;
  }

  public void setRadSolarDirectAvg(Float radSolarDirectAvg) {
    this.radSolarDirectAvg = radSolarDirectAvg;
  }

  public EcmwfForecastDayObj radSolarDirectAvg(Float radSolarDirectAvg) {
    this.radSolarDirectAvg = radSolarDirectAvg;
    return this;
  }

 /**
   * Get radSolarDirectMax
   * @return radSolarDirectMax
  **/
  @JsonProperty("radSolarDirectMax")
  public Float getRadSolarDirectMax() {
    return radSolarDirectMax;
  }

  public void setRadSolarDirectMax(Float radSolarDirectMax) {
    this.radSolarDirectMax = radSolarDirectMax;
  }

  public EcmwfForecastDayObj radSolarDirectMax(Float radSolarDirectMax) {
    this.radSolarDirectMax = radSolarDirectMax;
    return this;
  }

 /**
   * Get radSolarDirectTot
   * @return radSolarDirectTot
  **/
  @JsonProperty("radSolarDirectTot")
  public Float getRadSolarDirectTot() {
    return radSolarDirectTot;
  }

  public void setRadSolarDirectTot(Float radSolarDirectTot) {
    this.radSolarDirectTot = radSolarDirectTot;
  }

  public EcmwfForecastDayObj radSolarDirectTot(Float radSolarDirectTot) {
    this.radSolarDirectTot = radSolarDirectTot;
    return this;
  }

 /**
   * Get radSolarDirectPMin
   * @return radSolarDirectPMin
  **/
  @JsonProperty("radSolarDirectPMin")
  public Float getRadSolarDirectPMin() {
    return radSolarDirectPMin;
  }

  public void setRadSolarDirectPMin(Float radSolarDirectPMin) {
    this.radSolarDirectPMin = radSolarDirectPMin;
  }

  public EcmwfForecastDayObj radSolarDirectPMin(Float radSolarDirectPMin) {
    this.radSolarDirectPMin = radSolarDirectPMin;
    return this;
  }

 /**
   * Get radSolarDirectPAvg
   * @return radSolarDirectPAvg
  **/
  @JsonProperty("radSolarDirectPAvg")
  public Float getRadSolarDirectPAvg() {
    return radSolarDirectPAvg;
  }

  public void setRadSolarDirectPAvg(Float radSolarDirectPAvg) {
    this.radSolarDirectPAvg = radSolarDirectPAvg;
  }

  public EcmwfForecastDayObj radSolarDirectPAvg(Float radSolarDirectPAvg) {
    this.radSolarDirectPAvg = radSolarDirectPAvg;
    return this;
  }

 /**
   * Get radSolarDirectPMax
   * @return radSolarDirectPMax
  **/
  @JsonProperty("radSolarDirectPMax")
  public Float getRadSolarDirectPMax() {
    return radSolarDirectPMax;
  }

  public void setRadSolarDirectPMax(Float radSolarDirectPMax) {
    this.radSolarDirectPMax = radSolarDirectPMax;
  }

  public EcmwfForecastDayObj radSolarDirectPMax(Float radSolarDirectPMax) {
    this.radSolarDirectPMax = radSolarDirectPMax;
    return this;
  }

 /**
   * Get radSolarDirectPTot
   * @return radSolarDirectPTot
  **/
  @JsonProperty("radSolarDirectPTot")
  public Float getRadSolarDirectPTot() {
    return radSolarDirectPTot;
  }

  public void setRadSolarDirectPTot(Float radSolarDirectPTot) {
    this.radSolarDirectPTot = radSolarDirectPTot;
  }

  public EcmwfForecastDayObj radSolarDirectPTot(Float radSolarDirectPTot) {
    this.radSolarDirectPTot = radSolarDirectPTot;
    return this;
  }

 /**
   * Get relHumMin
   * @return relHumMin
  **/
  @JsonProperty("relHumMin")
  public Float getRelHumMin() {
    return relHumMin;
  }

  public void setRelHumMin(Float relHumMin) {
    this.relHumMin = relHumMin;
  }

  public EcmwfForecastDayObj relHumMin(Float relHumMin) {
    this.relHumMin = relHumMin;
    return this;
  }

 /**
   * Get relHumAvg
   * @return relHumAvg
  **/
  @JsonProperty("relHumAvg")
  public Float getRelHumAvg() {
    return relHumAvg;
  }

  public void setRelHumAvg(Float relHumAvg) {
    this.relHumAvg = relHumAvg;
  }

  public EcmwfForecastDayObj relHumAvg(Float relHumAvg) {
    this.relHumAvg = relHumAvg;
    return this;
  }

 /**
   * Get relHumMax
   * @return relHumMax
  **/
  @JsonProperty("relHumMax")
  public Float getRelHumMax() {
    return relHumMax;
  }

  public void setRelHumMax(Float relHumMax) {
    this.relHumMax = relHumMax;
  }

  public EcmwfForecastDayObj relHumMax(Float relHumMax) {
    this.relHumMax = relHumMax;
    return this;
  }

 /**
   * Get sfcPresMin
   * @return sfcPresMin
  **/
  @JsonProperty("sfcPresMin")
  public Float getSfcPresMin() {
    return sfcPresMin;
  }

  public void setSfcPresMin(Float sfcPresMin) {
    this.sfcPresMin = sfcPresMin;
  }

  public EcmwfForecastDayObj sfcPresMin(Float sfcPresMin) {
    this.sfcPresMin = sfcPresMin;
    return this;
  }

 /**
   * Get sfcPresAvg
   * @return sfcPresAvg
  **/
  @JsonProperty("sfcPresAvg")
  public Float getSfcPresAvg() {
    return sfcPresAvg;
  }

  public void setSfcPresAvg(Float sfcPresAvg) {
    this.sfcPresAvg = sfcPresAvg;
  }

  public EcmwfForecastDayObj sfcPresAvg(Float sfcPresAvg) {
    this.sfcPresAvg = sfcPresAvg;
    return this;
  }

 /**
   * Get sfcPresMax
   * @return sfcPresMax
  **/
  @JsonProperty("sfcPresMax")
  public Float getSfcPresMax() {
    return sfcPresMax;
  }

  public void setSfcPresMax(Float sfcPresMax) {
    this.sfcPresMax = sfcPresMax;
  }

  public EcmwfForecastDayObj sfcPresMax(Float sfcPresMax) {
    this.sfcPresMax = sfcPresMax;
    return this;
  }

 /**
   * Get snowfall
   * @return snowfall
  **/
  @JsonProperty("snowfall")
  public Float getSnowfall() {
    return snowfall;
  }

  public void setSnowfall(Float snowfall) {
    this.snowfall = snowfall;
  }

  public EcmwfForecastDayObj snowfall(Float snowfall) {
    this.snowfall = snowfall;
    return this;
  }

 /**
   * Get snowfallProb
   * @return snowfallProb
  **/
  @JsonProperty("snowfallProb")
  public Float getSnowfallProb() {
    return snowfallProb;
  }

  public void setSnowfallProb(Float snowfallProb) {
    this.snowfallProb = snowfallProb;
  }

  public EcmwfForecastDayObj snowfallProb(Float snowfallProb) {
    this.snowfallProb = snowfallProb;
    return this;
  }

 /**
   * Get spcHumMin
   * @return spcHumMin
  **/
  @JsonProperty("spcHumMin")
  public Float getSpcHumMin() {
    return spcHumMin;
  }

  public void setSpcHumMin(Float spcHumMin) {
    this.spcHumMin = spcHumMin;
  }

  public EcmwfForecastDayObj spcHumMin(Float spcHumMin) {
    this.spcHumMin = spcHumMin;
    return this;
  }

 /**
   * Get spcHumAvg
   * @return spcHumAvg
  **/
  @JsonProperty("spcHumAvg")
  public Float getSpcHumAvg() {
    return spcHumAvg;
  }

  public void setSpcHumAvg(Float spcHumAvg) {
    this.spcHumAvg = spcHumAvg;
  }

  public EcmwfForecastDayObj spcHumAvg(Float spcHumAvg) {
    this.spcHumAvg = spcHumAvg;
    return this;
  }

 /**
   * Get spcHumMax
   * @return spcHumMax
  **/
  @JsonProperty("spcHumMax")
  public Float getSpcHumMax() {
    return spcHumMax;
  }

  public void setSpcHumMax(Float spcHumMax) {
    this.spcHumMax = spcHumMax;
  }

  public EcmwfForecastDayObj spcHumMax(Float spcHumMax) {
    this.spcHumMax = spcHumMax;
    return this;
  }

 /**
   * Get tempMin
   * @return tempMin
  **/
  @JsonProperty("tempMin")
  public Float getTempMin() {
    return tempMin;
  }

  public void setTempMin(Float tempMin) {
    this.tempMin = tempMin;
  }

  public EcmwfForecastDayObj tempMin(Float tempMin) {
    this.tempMin = tempMin;
    return this;
  }

 /**
   * Get tempAvg
   * @return tempAvg
  **/
  @JsonProperty("tempAvg")
  public Float getTempAvg() {
    return tempAvg;
  }

  public void setTempAvg(Float tempAvg) {
    this.tempAvg = tempAvg;
  }

  public EcmwfForecastDayObj tempAvg(Float tempAvg) {
    this.tempAvg = tempAvg;
    return this;
  }

 /**
   * Get tempMax
   * @return tempMax
  **/
  @JsonProperty("tempMax")
  public Float getTempMax() {
    return tempMax;
  }

  public void setTempMax(Float tempMax) {
    this.tempMax = tempMax;
  }

  public EcmwfForecastDayObj tempMax(Float tempMax) {
    this.tempMax = tempMax;
    return this;
  }

 /**
   * Get wetBulbMin
   * @return wetBulbMin
  **/
  @JsonProperty("wetBulbMin")
  public Float getWetBulbMin() {
    return wetBulbMin;
  }

  public void setWetBulbMin(Float wetBulbMin) {
    this.wetBulbMin = wetBulbMin;
  }

  public EcmwfForecastDayObj wetBulbMin(Float wetBulbMin) {
    this.wetBulbMin = wetBulbMin;
    return this;
  }

 /**
   * Get wetBulbAvg
   * @return wetBulbAvg
  **/
  @JsonProperty("wetBulbAvg")
  public Float getWetBulbAvg() {
    return wetBulbAvg;
  }

  public void setWetBulbAvg(Float wetBulbAvg) {
    this.wetBulbAvg = wetBulbAvg;
  }

  public EcmwfForecastDayObj wetBulbAvg(Float wetBulbAvg) {
    this.wetBulbAvg = wetBulbAvg;
    return this;
  }

 /**
   * Get wetBulbMax
   * @return wetBulbMax
  **/
  @JsonProperty("wetBulbMax")
  public Float getWetBulbMax() {
    return wetBulbMax;
  }

  public void setWetBulbMax(Float wetBulbMax) {
    this.wetBulbMax = wetBulbMax;
  }

  public EcmwfForecastDayObj wetBulbMax(Float wetBulbMax) {
    this.wetBulbMax = wetBulbMax;
    return this;
  }

 /**
   * Get windChillMin
   * @return windChillMin
  **/
  @JsonProperty("windChillMin")
  public Float getWindChillMin() {
    return windChillMin;
  }

  public void setWindChillMin(Float windChillMin) {
    this.windChillMin = windChillMin;
  }

  public EcmwfForecastDayObj windChillMin(Float windChillMin) {
    this.windChillMin = windChillMin;
    return this;
  }

 /**
   * Get windChillAvg
   * @return windChillAvg
  **/
  @JsonProperty("windChillAvg")
  public Float getWindChillAvg() {
    return windChillAvg;
  }

  public void setWindChillAvg(Float windChillAvg) {
    this.windChillAvg = windChillAvg;
  }

  public EcmwfForecastDayObj windChillAvg(Float windChillAvg) {
    this.windChillAvg = windChillAvg;
    return this;
  }

 /**
   * Get windChillMax
   * @return windChillMax
  **/
  @JsonProperty("windChillMax")
  public Float getWindChillMax() {
    return windChillMax;
  }

  public void setWindChillMax(Float windChillMax) {
    this.windChillMax = windChillMax;
  }

  public EcmwfForecastDayObj windChillMax(Float windChillMax) {
    this.windChillMax = windChillMax;
    return this;
  }

 /**
   * Get windDirAvg
   * @return windDirAvg
  **/
  @JsonProperty("windDirAvg")
  public Float getWindDirAvg() {
    return windDirAvg;
  }

  public void setWindDirAvg(Float windDirAvg) {
    this.windDirAvg = windDirAvg;
  }

  public EcmwfForecastDayObj windDirAvg(Float windDirAvg) {
    this.windDirAvg = windDirAvg;
    return this;
  }

 /**
   * Get windDir80mAvg
   * @return windDir80mAvg
  **/
  @JsonProperty("windDir80mAvg")
  public Float getWindDir80mAvg() {
    return windDir80mAvg;
  }

  public void setWindDir80mAvg(Float windDir80mAvg) {
    this.windDir80mAvg = windDir80mAvg;
  }

  public EcmwfForecastDayObj windDir80mAvg(Float windDir80mAvg) {
    this.windDir80mAvg = windDir80mAvg;
    return this;
  }

 /**
   * Get windDir100mAvg
   * @return windDir100mAvg
  **/
  @JsonProperty("windDir100mAvg")
  public Float getWindDir100mAvg() {
    return windDir100mAvg;
  }

  public void setWindDir100mAvg(Float windDir100mAvg) {
    this.windDir100mAvg = windDir100mAvg;
  }

  public EcmwfForecastDayObj windDir100mAvg(Float windDir100mAvg) {
    this.windDir100mAvg = windDir100mAvg;
    return this;
  }

 /**
   * Get windSpdMin
   * @return windSpdMin
  **/
  @JsonProperty("windSpdMin")
  public Float getWindSpdMin() {
    return windSpdMin;
  }

  public void setWindSpdMin(Float windSpdMin) {
    this.windSpdMin = windSpdMin;
  }

  public EcmwfForecastDayObj windSpdMin(Float windSpdMin) {
    this.windSpdMin = windSpdMin;
    return this;
  }

 /**
   * Get windSpdAvg
   * @return windSpdAvg
  **/
  @JsonProperty("windSpdAvg")
  public Float getWindSpdAvg() {
    return windSpdAvg;
  }

  public void setWindSpdAvg(Float windSpdAvg) {
    this.windSpdAvg = windSpdAvg;
  }

  public EcmwfForecastDayObj windSpdAvg(Float windSpdAvg) {
    this.windSpdAvg = windSpdAvg;
    return this;
  }

 /**
   * Get windSpdMax
   * @return windSpdMax
  **/
  @JsonProperty("windSpdMax")
  public Float getWindSpdMax() {
    return windSpdMax;
  }

  public void setWindSpdMax(Float windSpdMax) {
    this.windSpdMax = windSpdMax;
  }

  public EcmwfForecastDayObj windSpdMax(Float windSpdMax) {
    this.windSpdMax = windSpdMax;
    return this;
  }

 /**
   * Get windSpd80mMin
   * @return windSpd80mMin
  **/
  @JsonProperty("windSpd80mMin")
  public Float getWindSpd80mMin() {
    return windSpd80mMin;
  }

  public void setWindSpd80mMin(Float windSpd80mMin) {
    this.windSpd80mMin = windSpd80mMin;
  }

  public EcmwfForecastDayObj windSpd80mMin(Float windSpd80mMin) {
    this.windSpd80mMin = windSpd80mMin;
    return this;
  }

 /**
   * Get windSpd80mAvg
   * @return windSpd80mAvg
  **/
  @JsonProperty("windSpd80mAvg")
  public Float getWindSpd80mAvg() {
    return windSpd80mAvg;
  }

  public void setWindSpd80mAvg(Float windSpd80mAvg) {
    this.windSpd80mAvg = windSpd80mAvg;
  }

  public EcmwfForecastDayObj windSpd80mAvg(Float windSpd80mAvg) {
    this.windSpd80mAvg = windSpd80mAvg;
    return this;
  }

 /**
   * Get windSpd80mMax
   * @return windSpd80mMax
  **/
  @JsonProperty("windSpd80mMax")
  public Float getWindSpd80mMax() {
    return windSpd80mMax;
  }

  public void setWindSpd80mMax(Float windSpd80mMax) {
    this.windSpd80mMax = windSpd80mMax;
  }

  public EcmwfForecastDayObj windSpd80mMax(Float windSpd80mMax) {
    this.windSpd80mMax = windSpd80mMax;
    return this;
  }

 /**
   * Get windSpd100mMin
   * @return windSpd100mMin
  **/
  @JsonProperty("windSpd100mMin")
  public Float getWindSpd100mMin() {
    return windSpd100mMin;
  }

  public void setWindSpd100mMin(Float windSpd100mMin) {
    this.windSpd100mMin = windSpd100mMin;
  }

  public EcmwfForecastDayObj windSpd100mMin(Float windSpd100mMin) {
    this.windSpd100mMin = windSpd100mMin;
    return this;
  }

 /**
   * Get windSpd100mAvg
   * @return windSpd100mAvg
  **/
  @JsonProperty("windSpd100mAvg")
  public Float getWindSpd100mAvg() {
    return windSpd100mAvg;
  }

  public void setWindSpd100mAvg(Float windSpd100mAvg) {
    this.windSpd100mAvg = windSpd100mAvg;
  }

  public EcmwfForecastDayObj windSpd100mAvg(Float windSpd100mAvg) {
    this.windSpd100mAvg = windSpd100mAvg;
    return this;
  }

 /**
   * Get windSpd100mMax
   * @return windSpd100mMax
  **/
  @JsonProperty("windSpd100mMax")
  public Float getWindSpd100mMax() {
    return windSpd100mMax;
  }

  public void setWindSpd100mMax(Float windSpd100mMax) {
    this.windSpd100mMax = windSpd100mMax;
  }

  public EcmwfForecastDayObj windSpd100mMax(Float windSpd100mMax) {
    this.windSpd100mMax = windSpd100mMax;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EcmwfForecastDayObj {\n");
    
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    timestampInit: ").append(toIndentedString(timestampInit)).append("\n");
    sb.append("    cldCvrMin: ").append(toIndentedString(cldCvrMin)).append("\n");
    sb.append("    cldCvrAvg: ").append(toIndentedString(cldCvrAvg)).append("\n");
    sb.append("    cldCvrMax: ").append(toIndentedString(cldCvrMax)).append("\n");
    sb.append("    dewPtMin: ").append(toIndentedString(dewPtMin)).append("\n");
    sb.append("    dewPtAvg: ").append(toIndentedString(dewPtAvg)).append("\n");
    sb.append("    dewPtMax: ").append(toIndentedString(dewPtMax)).append("\n");
    sb.append("    feelsLikeMin: ").append(toIndentedString(feelsLikeMin)).append("\n");
    sb.append("    feelsLikeAvg: ").append(toIndentedString(feelsLikeAvg)).append("\n");
    sb.append("    feelsLikeMax: ").append(toIndentedString(feelsLikeMax)).append("\n");
    sb.append("    heatIndexMin: ").append(toIndentedString(heatIndexMin)).append("\n");
    sb.append("    heatIndexAvg: ").append(toIndentedString(heatIndexAvg)).append("\n");
    sb.append("    heatIndexMax: ").append(toIndentedString(heatIndexMax)).append("\n");
    sb.append("    mslPresMin: ").append(toIndentedString(mslPresMin)).append("\n");
    sb.append("    mslPresAvg: ").append(toIndentedString(mslPresAvg)).append("\n");
    sb.append("    mslPresMax: ").append(toIndentedString(mslPresMax)).append("\n");
    sb.append("    precip: ").append(toIndentedString(precip)).append("\n");
    sb.append("    precipProb: ").append(toIndentedString(precipProb)).append("\n");
    sb.append("    radSolarMin: ").append(toIndentedString(radSolarMin)).append("\n");
    sb.append("    radSolarAvg: ").append(toIndentedString(radSolarAvg)).append("\n");
    sb.append("    radSolarMax: ").append(toIndentedString(radSolarMax)).append("\n");
    sb.append("    radSolarTot: ").append(toIndentedString(radSolarTot)).append("\n");
    sb.append("    radSolarDirectMin: ").append(toIndentedString(radSolarDirectMin)).append("\n");
    sb.append("    radSolarDirectAvg: ").append(toIndentedString(radSolarDirectAvg)).append("\n");
    sb.append("    radSolarDirectMax: ").append(toIndentedString(radSolarDirectMax)).append("\n");
    sb.append("    radSolarDirectTot: ").append(toIndentedString(radSolarDirectTot)).append("\n");
    sb.append("    radSolarDirectPMin: ").append(toIndentedString(radSolarDirectPMin)).append("\n");
    sb.append("    radSolarDirectPAvg: ").append(toIndentedString(radSolarDirectPAvg)).append("\n");
    sb.append("    radSolarDirectPMax: ").append(toIndentedString(radSolarDirectPMax)).append("\n");
    sb.append("    radSolarDirectPTot: ").append(toIndentedString(radSolarDirectPTot)).append("\n");
    sb.append("    relHumMin: ").append(toIndentedString(relHumMin)).append("\n");
    sb.append("    relHumAvg: ").append(toIndentedString(relHumAvg)).append("\n");
    sb.append("    relHumMax: ").append(toIndentedString(relHumMax)).append("\n");
    sb.append("    sfcPresMin: ").append(toIndentedString(sfcPresMin)).append("\n");
    sb.append("    sfcPresAvg: ").append(toIndentedString(sfcPresAvg)).append("\n");
    sb.append("    sfcPresMax: ").append(toIndentedString(sfcPresMax)).append("\n");
    sb.append("    snowfall: ").append(toIndentedString(snowfall)).append("\n");
    sb.append("    snowfallProb: ").append(toIndentedString(snowfallProb)).append("\n");
    sb.append("    spcHumMin: ").append(toIndentedString(spcHumMin)).append("\n");
    sb.append("    spcHumAvg: ").append(toIndentedString(spcHumAvg)).append("\n");
    sb.append("    spcHumMax: ").append(toIndentedString(spcHumMax)).append("\n");
    sb.append("    tempMin: ").append(toIndentedString(tempMin)).append("\n");
    sb.append("    tempAvg: ").append(toIndentedString(tempAvg)).append("\n");
    sb.append("    tempMax: ").append(toIndentedString(tempMax)).append("\n");
    sb.append("    wetBulbMin: ").append(toIndentedString(wetBulbMin)).append("\n");
    sb.append("    wetBulbAvg: ").append(toIndentedString(wetBulbAvg)).append("\n");
    sb.append("    wetBulbMax: ").append(toIndentedString(wetBulbMax)).append("\n");
    sb.append("    windChillMin: ").append(toIndentedString(windChillMin)).append("\n");
    sb.append("    windChillAvg: ").append(toIndentedString(windChillAvg)).append("\n");
    sb.append("    windChillMax: ").append(toIndentedString(windChillMax)).append("\n");
    sb.append("    windDirAvg: ").append(toIndentedString(windDirAvg)).append("\n");
    sb.append("    windDir80mAvg: ").append(toIndentedString(windDir80mAvg)).append("\n");
    sb.append("    windDir100mAvg: ").append(toIndentedString(windDir100mAvg)).append("\n");
    sb.append("    windSpdMin: ").append(toIndentedString(windSpdMin)).append("\n");
    sb.append("    windSpdAvg: ").append(toIndentedString(windSpdAvg)).append("\n");
    sb.append("    windSpdMax: ").append(toIndentedString(windSpdMax)).append("\n");
    sb.append("    windSpd80mMin: ").append(toIndentedString(windSpd80mMin)).append("\n");
    sb.append("    windSpd80mAvg: ").append(toIndentedString(windSpd80mAvg)).append("\n");
    sb.append("    windSpd80mMax: ").append(toIndentedString(windSpd80mMax)).append("\n");
    sb.append("    windSpd100mMin: ").append(toIndentedString(windSpd100mMin)).append("\n");
    sb.append("    windSpd100mAvg: ").append(toIndentedString(windSpd100mAvg)).append("\n");
    sb.append("    windSpd100mMax: ").append(toIndentedString(windSpd100mMax)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
