package io.swagger.model;

import io.swagger.model.DmaObj;
import io.swagger.model.EcmwfForecastHourArr;
import io.swagger.model.FieldListHourObj;
import io.swagger.model.TimestampRangeObj;
import io.swagger.v3.oas.annotations.media.Schema;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * Hourly Designated Market Area ECMWF forecast object
 **/
@Schema(description="Hourly Designated Market Area ECMWF forecast object")
public class EcmwfForecastDmaHourObj   {
  
  @Schema(required = true, description = "")
  private DmaObj location = null;
  
  @Schema(required = true, description = "")
  private TimestampRangeObj timestampRange = null;
  
  @Schema(required = true, description = "")
  private FieldListHourObj fieldList = null;
  
  @Schema(required = true, description = "")
  private EcmwfForecastHourArr forecast = null;
 /**
   * Get location
   * @return location
  **/
  @JsonProperty("location")
  public DmaObj getLocation() {
    return location;
  }

  public void setLocation(DmaObj location) {
    this.location = location;
  }

  public EcmwfForecastDmaHourObj location(DmaObj location) {
    this.location = location;
    return this;
  }

 /**
   * Get timestampRange
   * @return timestampRange
  **/
  @JsonProperty("timestampRange")
  public TimestampRangeObj getTimestampRange() {
    return timestampRange;
  }

  public void setTimestampRange(TimestampRangeObj timestampRange) {
    this.timestampRange = timestampRange;
  }

  public EcmwfForecastDmaHourObj timestampRange(TimestampRangeObj timestampRange) {
    this.timestampRange = timestampRange;
    return this;
  }

 /**
   * Get fieldList
   * @return fieldList
  **/
  @JsonProperty("fieldList")
  public FieldListHourObj getFieldList() {
    return fieldList;
  }

  public void setFieldList(FieldListHourObj fieldList) {
    this.fieldList = fieldList;
  }

  public EcmwfForecastDmaHourObj fieldList(FieldListHourObj fieldList) {
    this.fieldList = fieldList;
    return this;
  }

 /**
   * Get forecast
   * @return forecast
  **/
  @JsonProperty("forecast")
  public EcmwfForecastHourArr getForecast() {
    return forecast;
  }

  public void setForecast(EcmwfForecastHourArr forecast) {
    this.forecast = forecast;
  }

  public EcmwfForecastDmaHourObj forecast(EcmwfForecastHourArr forecast) {
    this.forecast = forecast;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EcmwfForecastDmaHourObj {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    timestampRange: ").append(toIndentedString(timestampRange)).append("\n");
    sb.append("    fieldList: ").append(toIndentedString(fieldList)).append("\n");
    sb.append("    forecast: ").append(toIndentedString(forecast)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
