package io.swagger.model;

import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * An hourly weather ECMWF forecast object.
 **/
@Schema(description="An hourly weather ECMWF forecast object.")
public class EcmwfForecastHourObj   {
  
  @Schema(required = true, description = "")
  private Date timestamp = null;
  
  @Schema(description = "")
  private Date timestampInit = null;
  
  @Schema(description = "")
  private Float cldCvr = null;
  
  @Schema(description = "")
  private Float dewPt = null;
  
  @Schema(description = "")
  private Float feelsLike = null;
  
  @Schema(description = "")
  private Float heatIndex = null;
  
  @Schema(description = "")
  private Float mslPres = null;
  
  @Schema(description = "")
  private Float precip = null;
  
  @Schema(description = "")
  private Float precipProb = null;
  
  @Schema(description = "")
  private Float radSolar = null;
  
  @Schema(description = "")
  private Float radSolarDirect = null;
  
  @Schema(description = "")
  private Float radSolarDirectP = null;
  
  @Schema(description = "")
  private Float relHum = null;
  
  @Schema(description = "")
  private Float sfcPres = null;
  
  @Schema(description = "")
  private Float snowfall = null;
  
  @Schema(description = "")
  private Float snowfallProb = null;
  
  @Schema(description = "")
  private Float spcHum = null;
  
  @Schema(description = "")
  private Float temp = null;
  
  @Schema(description = "")
  private Float wetBulb = null;
  
  @Schema(description = "")
  private Float windChill = null;
  
  @Schema(description = "")
  private Float windDir = null;
  
  @Schema(description = "")
  private Float windDir80m = null;
  
  @Schema(description = "")
  private Float windDir100m = null;
  
  @Schema(description = "")
  private Float windSpd = null;
  
  @Schema(description = "")
  private Float windSpd80m = null;
  
  @Schema(description = "")
  private Float windSpd100m = null;
 /**
   * Get timestamp
   * @return timestamp
  **/
  @JsonProperty("timestamp")
  public Date getTimestamp() {
    return timestamp;
  }

  public void setTimestamp(Date timestamp) {
    this.timestamp = timestamp;
  }

  public EcmwfForecastHourObj timestamp(Date timestamp) {
    this.timestamp = timestamp;
    return this;
  }

 /**
   * Get timestampInit
   * @return timestampInit
  **/
  @JsonProperty("timestampInit")
  public Date getTimestampInit() {
    return timestampInit;
  }

  public void setTimestampInit(Date timestampInit) {
    this.timestampInit = timestampInit;
  }

  public EcmwfForecastHourObj timestampInit(Date timestampInit) {
    this.timestampInit = timestampInit;
    return this;
  }

 /**
   * Get cldCvr
   * @return cldCvr
  **/
  @JsonProperty("cldCvr")
  public Float getCldCvr() {
    return cldCvr;
  }

  public void setCldCvr(Float cldCvr) {
    this.cldCvr = cldCvr;
  }

  public EcmwfForecastHourObj cldCvr(Float cldCvr) {
    this.cldCvr = cldCvr;
    return this;
  }

 /**
   * Get dewPt
   * @return dewPt
  **/
  @JsonProperty("dewPt")
  public Float getDewPt() {
    return dewPt;
  }

  public void setDewPt(Float dewPt) {
    this.dewPt = dewPt;
  }

  public EcmwfForecastHourObj dewPt(Float dewPt) {
    this.dewPt = dewPt;
    return this;
  }

 /**
   * Get feelsLike
   * @return feelsLike
  **/
  @JsonProperty("feelsLike")
  public Float getFeelsLike() {
    return feelsLike;
  }

  public void setFeelsLike(Float feelsLike) {
    this.feelsLike = feelsLike;
  }

  public EcmwfForecastHourObj feelsLike(Float feelsLike) {
    this.feelsLike = feelsLike;
    return this;
  }

 /**
   * Get heatIndex
   * @return heatIndex
  **/
  @JsonProperty("heatIndex")
  public Float getHeatIndex() {
    return heatIndex;
  }

  public void setHeatIndex(Float heatIndex) {
    this.heatIndex = heatIndex;
  }

  public EcmwfForecastHourObj heatIndex(Float heatIndex) {
    this.heatIndex = heatIndex;
    return this;
  }

 /**
   * Get mslPres
   * @return mslPres
  **/
  @JsonProperty("mslPres")
  public Float getMslPres() {
    return mslPres;
  }

  public void setMslPres(Float mslPres) {
    this.mslPres = mslPres;
  }

  public EcmwfForecastHourObj mslPres(Float mslPres) {
    this.mslPres = mslPres;
    return this;
  }

 /**
   * Get precip
   * @return precip
  **/
  @JsonProperty("precip")
  public Float getPrecip() {
    return precip;
  }

  public void setPrecip(Float precip) {
    this.precip = precip;
  }

  public EcmwfForecastHourObj precip(Float precip) {
    this.precip = precip;
    return this;
  }

 /**
   * Get precipProb
   * @return precipProb
  **/
  @JsonProperty("precipProb")
  public Float getPrecipProb() {
    return precipProb;
  }

  public void setPrecipProb(Float precipProb) {
    this.precipProb = precipProb;
  }

  public EcmwfForecastHourObj precipProb(Float precipProb) {
    this.precipProb = precipProb;
    return this;
  }

 /**
   * Get radSolar
   * @return radSolar
  **/
  @JsonProperty("radSolar")
  public Float getRadSolar() {
    return radSolar;
  }

  public void setRadSolar(Float radSolar) {
    this.radSolar = radSolar;
  }

  public EcmwfForecastHourObj radSolar(Float radSolar) {
    this.radSolar = radSolar;
    return this;
  }

 /**
   * Get radSolarDirect
   * @return radSolarDirect
  **/
  @JsonProperty("radSolarDirect")
  public Float getRadSolarDirect() {
    return radSolarDirect;
  }

  public void setRadSolarDirect(Float radSolarDirect) {
    this.radSolarDirect = radSolarDirect;
  }

  public EcmwfForecastHourObj radSolarDirect(Float radSolarDirect) {
    this.radSolarDirect = radSolarDirect;
    return this;
  }

 /**
   * Get radSolarDirectP
   * @return radSolarDirectP
  **/
  @JsonProperty("radSolarDirectP")
  public Float getRadSolarDirectP() {
    return radSolarDirectP;
  }

  public void setRadSolarDirectP(Float radSolarDirectP) {
    this.radSolarDirectP = radSolarDirectP;
  }

  public EcmwfForecastHourObj radSolarDirectP(Float radSolarDirectP) {
    this.radSolarDirectP = radSolarDirectP;
    return this;
  }

 /**
   * Get relHum
   * @return relHum
  **/
  @JsonProperty("relHum")
  public Float getRelHum() {
    return relHum;
  }

  public void setRelHum(Float relHum) {
    this.relHum = relHum;
  }

  public EcmwfForecastHourObj relHum(Float relHum) {
    this.relHum = relHum;
    return this;
  }

 /**
   * Get sfcPres
   * @return sfcPres
  **/
  @JsonProperty("sfcPres")
  public Float getSfcPres() {
    return sfcPres;
  }

  public void setSfcPres(Float sfcPres) {
    this.sfcPres = sfcPres;
  }

  public EcmwfForecastHourObj sfcPres(Float sfcPres) {
    this.sfcPres = sfcPres;
    return this;
  }

 /**
   * Get snowfall
   * @return snowfall
  **/
  @JsonProperty("snowfall")
  public Float getSnowfall() {
    return snowfall;
  }

  public void setSnowfall(Float snowfall) {
    this.snowfall = snowfall;
  }

  public EcmwfForecastHourObj snowfall(Float snowfall) {
    this.snowfall = snowfall;
    return this;
  }

 /**
   * Get snowfallProb
   * @return snowfallProb
  **/
  @JsonProperty("snowfallProb")
  public Float getSnowfallProb() {
    return snowfallProb;
  }

  public void setSnowfallProb(Float snowfallProb) {
    this.snowfallProb = snowfallProb;
  }

  public EcmwfForecastHourObj snowfallProb(Float snowfallProb) {
    this.snowfallProb = snowfallProb;
    return this;
  }

 /**
   * Get spcHum
   * @return spcHum
  **/
  @JsonProperty("spcHum")
  public Float getSpcHum() {
    return spcHum;
  }

  public void setSpcHum(Float spcHum) {
    this.spcHum = spcHum;
  }

  public EcmwfForecastHourObj spcHum(Float spcHum) {
    this.spcHum = spcHum;
    return this;
  }

 /**
   * Get temp
   * @return temp
  **/
  @JsonProperty("temp")
  public Float getTemp() {
    return temp;
  }

  public void setTemp(Float temp) {
    this.temp = temp;
  }

  public EcmwfForecastHourObj temp(Float temp) {
    this.temp = temp;
    return this;
  }

 /**
   * Get wetBulb
   * @return wetBulb
  **/
  @JsonProperty("wetBulb")
  public Float getWetBulb() {
    return wetBulb;
  }

  public void setWetBulb(Float wetBulb) {
    this.wetBulb = wetBulb;
  }

  public EcmwfForecastHourObj wetBulb(Float wetBulb) {
    this.wetBulb = wetBulb;
    return this;
  }

 /**
   * Get windChill
   * @return windChill
  **/
  @JsonProperty("windChill")
  public Float getWindChill() {
    return windChill;
  }

  public void setWindChill(Float windChill) {
    this.windChill = windChill;
  }

  public EcmwfForecastHourObj windChill(Float windChill) {
    this.windChill = windChill;
    return this;
  }

 /**
   * Get windDir
   * @return windDir
  **/
  @JsonProperty("windDir")
  public Float getWindDir() {
    return windDir;
  }

  public void setWindDir(Float windDir) {
    this.windDir = windDir;
  }

  public EcmwfForecastHourObj windDir(Float windDir) {
    this.windDir = windDir;
    return this;
  }

 /**
   * Get windDir80m
   * @return windDir80m
  **/
  @JsonProperty("windDir80m")
  public Float getWindDir80m() {
    return windDir80m;
  }

  public void setWindDir80m(Float windDir80m) {
    this.windDir80m = windDir80m;
  }

  public EcmwfForecastHourObj windDir80m(Float windDir80m) {
    this.windDir80m = windDir80m;
    return this;
  }

 /**
   * Get windDir100m
   * @return windDir100m
  **/
  @JsonProperty("windDir100m")
  public Float getWindDir100m() {
    return windDir100m;
  }

  public void setWindDir100m(Float windDir100m) {
    this.windDir100m = windDir100m;
  }

  public EcmwfForecastHourObj windDir100m(Float windDir100m) {
    this.windDir100m = windDir100m;
    return this;
  }

 /**
   * Get windSpd
   * @return windSpd
  **/
  @JsonProperty("windSpd")
  public Float getWindSpd() {
    return windSpd;
  }

  public void setWindSpd(Float windSpd) {
    this.windSpd = windSpd;
  }

  public EcmwfForecastHourObj windSpd(Float windSpd) {
    this.windSpd = windSpd;
    return this;
  }

 /**
   * Get windSpd80m
   * @return windSpd80m
  **/
  @JsonProperty("windSpd80m")
  public Float getWindSpd80m() {
    return windSpd80m;
  }

  public void setWindSpd80m(Float windSpd80m) {
    this.windSpd80m = windSpd80m;
  }

  public EcmwfForecastHourObj windSpd80m(Float windSpd80m) {
    this.windSpd80m = windSpd80m;
    return this;
  }

 /**
   * Get windSpd100m
   * @return windSpd100m
  **/
  @JsonProperty("windSpd100m")
  public Float getWindSpd100m() {
    return windSpd100m;
  }

  public void setWindSpd100m(Float windSpd100m) {
    this.windSpd100m = windSpd100m;
  }

  public EcmwfForecastHourObj windSpd100m(Float windSpd100m) {
    this.windSpd100m = windSpd100m;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EcmwfForecastHourObj {\n");
    
    sb.append("    timestamp: ").append(toIndentedString(timestamp)).append("\n");
    sb.append("    timestampInit: ").append(toIndentedString(timestampInit)).append("\n");
    sb.append("    cldCvr: ").append(toIndentedString(cldCvr)).append("\n");
    sb.append("    dewPt: ").append(toIndentedString(dewPt)).append("\n");
    sb.append("    feelsLike: ").append(toIndentedString(feelsLike)).append("\n");
    sb.append("    heatIndex: ").append(toIndentedString(heatIndex)).append("\n");
    sb.append("    mslPres: ").append(toIndentedString(mslPres)).append("\n");
    sb.append("    precip: ").append(toIndentedString(precip)).append("\n");
    sb.append("    precipProb: ").append(toIndentedString(precipProb)).append("\n");
    sb.append("    radSolar: ").append(toIndentedString(radSolar)).append("\n");
    sb.append("    radSolarDirect: ").append(toIndentedString(radSolarDirect)).append("\n");
    sb.append("    radSolarDirectP: ").append(toIndentedString(radSolarDirectP)).append("\n");
    sb.append("    relHum: ").append(toIndentedString(relHum)).append("\n");
    sb.append("    sfcPres: ").append(toIndentedString(sfcPres)).append("\n");
    sb.append("    snowfall: ").append(toIndentedString(snowfall)).append("\n");
    sb.append("    snowfallProb: ").append(toIndentedString(snowfallProb)).append("\n");
    sb.append("    spcHum: ").append(toIndentedString(spcHum)).append("\n");
    sb.append("    temp: ").append(toIndentedString(temp)).append("\n");
    sb.append("    wetBulb: ").append(toIndentedString(wetBulb)).append("\n");
    sb.append("    windChill: ").append(toIndentedString(windChill)).append("\n");
    sb.append("    windDir: ").append(toIndentedString(windDir)).append("\n");
    sb.append("    windDir80m: ").append(toIndentedString(windDir80m)).append("\n");
    sb.append("    windDir100m: ").append(toIndentedString(windDir100m)).append("\n");
    sb.append("    windSpd: ").append(toIndentedString(windSpd)).append("\n");
    sb.append("    windSpd80m: ").append(toIndentedString(windSpd80m)).append("\n");
    sb.append("    windSpd100m: ").append(toIndentedString(windSpd100m)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
