package io.swagger.model;

import io.swagger.model.DateRangeObj;
import io.swagger.model.EcmwfForecastDayArr;
import io.swagger.model.FieldListDayObj;
import io.swagger.model.PointObj;
import io.swagger.v3.oas.annotations.media.Schema;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * Daily Latitude/Longitude ECMWF forecast object
 **/
@Schema(description="Daily Latitude/Longitude ECMWF forecast object")
public class EcmwfForecastPointDayObj   {
  
  @Schema(required = true, description = "")
  private PointObj location = null;
  
  @Schema(required = true, description = "")
  private DateRangeObj dateRange = null;
  
  @Schema(required = true, description = "")
  private FieldListDayObj fieldList = null;
  
  @Schema(required = true, description = "")
  private EcmwfForecastDayArr forecast = null;
 /**
   * Get location
   * @return location
  **/
  @JsonProperty("location")
  public PointObj getLocation() {
    return location;
  }

  public void setLocation(PointObj location) {
    this.location = location;
  }

  public EcmwfForecastPointDayObj location(PointObj location) {
    this.location = location;
    return this;
  }

 /**
   * Get dateRange
   * @return dateRange
  **/
  @JsonProperty("dateRange")
  public DateRangeObj getDateRange() {
    return dateRange;
  }

  public void setDateRange(DateRangeObj dateRange) {
    this.dateRange = dateRange;
  }

  public EcmwfForecastPointDayObj dateRange(DateRangeObj dateRange) {
    this.dateRange = dateRange;
    return this;
  }

 /**
   * Get fieldList
   * @return fieldList
  **/
  @JsonProperty("fieldList")
  public FieldListDayObj getFieldList() {
    return fieldList;
  }

  public void setFieldList(FieldListDayObj fieldList) {
    this.fieldList = fieldList;
  }

  public EcmwfForecastPointDayObj fieldList(FieldListDayObj fieldList) {
    this.fieldList = fieldList;
    return this;
  }

 /**
   * Get forecast
   * @return forecast
  **/
  @JsonProperty("forecast")
  public EcmwfForecastDayArr getForecast() {
    return forecast;
  }

  public void setForecast(EcmwfForecastDayArr forecast) {
    this.forecast = forecast;
  }

  public EcmwfForecastPointDayObj forecast(EcmwfForecastDayArr forecast) {
    this.forecast = forecast;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EcmwfForecastPointDayObj {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    dateRange: ").append(toIndentedString(dateRange)).append("\n");
    sb.append("    fieldList: ").append(toIndentedString(fieldList)).append("\n");
    sb.append("    forecast: ").append(toIndentedString(forecast)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
