package io.swagger.model;

import io.swagger.model.BoundingPoints;
import io.swagger.model.Grid;
import io.swagger.v3.oas.annotations.media.Schema;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * Metadata object for a postcode
 **/
@Schema(description="Metadata object for a postcode")
public class PointObj   {
  
  @Schema(required = true, description = "")
  private Float latitude = null;
  
  @Schema(required = true, description = "")
  private Float longitude = null;
  
  @Schema(required = true, description = "")
  private String timezone = null;
  
  @Schema(description = "")
  private String countryCode = null;
  
  @Schema(description = "")
  private String countryName = null;
  
  @Schema(description = "")
  private String subdivCode = null;
  
  @Schema(description = "")
  private String subdivName = null;
  
  @Schema(required = true, description = "")
  private BoundingPoints boundingPoints = null;
  
  @Schema(required = true, description = "")
  private Grid grid = null;
  
  @Schema(required = true, description = "")
  private Float elevation = null;
 /**
   * Get latitude
   * @return latitude
  **/
  @JsonProperty("latitude")
  public Float getLatitude() {
    return latitude;
  }

  public void setLatitude(Float latitude) {
    this.latitude = latitude;
  }

  public PointObj latitude(Float latitude) {
    this.latitude = latitude;
    return this;
  }

 /**
   * Get longitude
   * @return longitude
  **/
  @JsonProperty("longitude")
  public Float getLongitude() {
    return longitude;
  }

  public void setLongitude(Float longitude) {
    this.longitude = longitude;
  }

  public PointObj longitude(Float longitude) {
    this.longitude = longitude;
    return this;
  }

 /**
   * Get timezone
   * @return timezone
  **/
  @JsonProperty("timezone")
  public String getTimezone() {
    return timezone;
  }

  public void setTimezone(String timezone) {
    this.timezone = timezone;
  }

  public PointObj timezone(String timezone) {
    this.timezone = timezone;
    return this;
  }

 /**
   * Get countryCode
   * @return countryCode
  **/
  @JsonProperty("countryCode")
  public String getCountryCode() {
    return countryCode;
  }

  public void setCountryCode(String countryCode) {
    this.countryCode = countryCode;
  }

  public PointObj countryCode(String countryCode) {
    this.countryCode = countryCode;
    return this;
  }

 /**
   * Get countryName
   * @return countryName
  **/
  @JsonProperty("countryName")
  public String getCountryName() {
    return countryName;
  }

  public void setCountryName(String countryName) {
    this.countryName = countryName;
  }

  public PointObj countryName(String countryName) {
    this.countryName = countryName;
    return this;
  }

 /**
   * Get subdivCode
   * @return subdivCode
  **/
  @JsonProperty("subdivCode")
  public String getSubdivCode() {
    return subdivCode;
  }

  public void setSubdivCode(String subdivCode) {
    this.subdivCode = subdivCode;
  }

  public PointObj subdivCode(String subdivCode) {
    this.subdivCode = subdivCode;
    return this;
  }

 /**
   * Get subdivName
   * @return subdivName
  **/
  @JsonProperty("subdivName")
  public String getSubdivName() {
    return subdivName;
  }

  public void setSubdivName(String subdivName) {
    this.subdivName = subdivName;
  }

  public PointObj subdivName(String subdivName) {
    this.subdivName = subdivName;
    return this;
  }

 /**
   * Get boundingPoints
   * @return boundingPoints
  **/
  @JsonProperty("boundingPoints")
  public BoundingPoints getBoundingPoints() {
    return boundingPoints;
  }

  public void setBoundingPoints(BoundingPoints boundingPoints) {
    this.boundingPoints = boundingPoints;
  }

  public PointObj boundingPoints(BoundingPoints boundingPoints) {
    this.boundingPoints = boundingPoints;
    return this;
  }

 /**
   * Get grid
   * @return grid
  **/
  @JsonProperty("grid")
  public Grid getGrid() {
    return grid;
  }

  public void setGrid(Grid grid) {
    this.grid = grid;
  }

  public PointObj grid(Grid grid) {
    this.grid = grid;
    return this;
  }

 /**
   * Get elevation
   * @return elevation
  **/
  @JsonProperty("elevation")
  public Float getElevation() {
    return elevation;
  }

  public void setElevation(Float elevation) {
    this.elevation = elevation;
  }

  public PointObj elevation(Float elevation) {
    this.elevation = elevation;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PointObj {\n");
    
    sb.append("    latitude: ").append(toIndentedString(latitude)).append("\n");
    sb.append("    longitude: ").append(toIndentedString(longitude)).append("\n");
    sb.append("    timezone: ").append(toIndentedString(timezone)).append("\n");
    sb.append("    countryCode: ").append(toIndentedString(countryCode)).append("\n");
    sb.append("    countryName: ").append(toIndentedString(countryName)).append("\n");
    sb.append("    subdivCode: ").append(toIndentedString(subdivCode)).append("\n");
    sb.append("    subdivName: ").append(toIndentedString(subdivName)).append("\n");
    sb.append("    boundingPoints: ").append(toIndentedString(boundingPoints)).append("\n");
    sb.append("    grid: ").append(toIndentedString(grid)).append("\n");
    sb.append("    elevation: ").append(toIndentedString(elevation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
