/**
 * ECMWF Forecast - A Weather Source API
 * Daily and hourly forecast data from the ECMWF model for latitude/longitude points, ZIP/Postal Codes, and Designated Market Areas. Hourly forecast is up to 10 days out from current day. Daily forecast is up to 15 days out from current day. The Weather Source ECMWF Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.    **IMPORTANT:** To authenticate to the Weather Source ECMWF Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.api;

import java.util.Date;
import io.swagger.model.EcmwfForecastPointDayObj;
import io.swagger.model.EcmwfForecastPointHourObj;
import io.swagger.model.ErrorObj;
import org.joda.time.LocalDate;
import org.junit.Test;
import org.junit.Before;
import static org.junit.Assert.*;

import javax.ws.rs.core.Response;
import org.apache.cxf.jaxrs.client.JAXRSClientFactory;
import org.apache.cxf.jaxrs.client.ClientConfiguration;
import org.apache.cxf.jaxrs.client.WebClient;


import com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;




/**
 * ECMWF Forecast - A Weather Source API
 *
 * <p>Daily and hourly forecast data from the ECMWF model for latitude/longitude points, ZIP/Postal Codes, and Designated Market Areas. Hourly forecast is up to 10 days out from current day. Daily forecast is up to 15 days out from current day. The Weather Source ECMWF Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.    **IMPORTANT:** To authenticate to the Weather Source ECMWF Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API tests for PointsApi 
 */
public class PointsApiTest {


    private PointsApi api;
    
    @Before
    public void setup() {
        JacksonJsonProvider provider = new JacksonJsonProvider();
        List providers = new ArrayList();
        providers.add(provider);
        
        api = JAXRSClientFactory.create("https://ecmwfforecast.weathersourceapis.com/v2", PointsApi.class, providers);
        org.apache.cxf.jaxrs.client.Client client = WebClient.client(api);
        
        ClientConfiguration config = WebClient.getConfig(client); 
    }

    /**
     * A day of ECMWF forecast data for a Latitude/Longitude point.
     *
     * Returns a single day of ECMWF forecast data for a Latitude/Longitude point. The provided date must exist within the current valid 15-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeDaysDateGetTest() {
        Float latitude = null;
        Float longitude = null;
        LocalDate date = null;
        List<String> fields = null;
        String unitScale = null;
        //EcmwfForecastPointDayObj response = api.pointsLatitudelongitudeDaysDateGet(latitude, longitude, date, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
    /**
     * A contiguous range of daily ECMWF forecast data for a Latitude/Longitude point.
     *
     * Returns a contiguous range of daily ECMWF forecast data for a Latitude/Longitude point. The provided dates must exist within the current valid 15-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeDaysDateStartdateEndGetTest() {
        Float latitude = null;
        Float longitude = null;
        LocalDate dateStart = null;
        LocalDate dateEnd = null;
        List<String> fields = null;
        String unitScale = null;
        //EcmwfForecastPointDayObj response = api.pointsLatitudelongitudeDaysDateStartdateEndGet(latitude, longitude, dateStart, dateEnd, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
    /**
     * The complete daily ECMWF forecast for a Latitude/Longitude point.
     *
     * Returns the complete set of daily ECMWF forecast data for a Latitude/Longitude point.  *Alternatively using a query that specificies just the days required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeDaysGetTest() {
        Float latitude = null;
        Float longitude = null;
        List<String> fields = null;
        String unitScale = null;
        //EcmwfForecastPointDayObj response = api.pointsLatitudelongitudeDaysGet(latitude, longitude, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
    /**
     * The complete hourly ECMWF forecast for a Latitude/Longitude point.
     *
     * Returns the complete set of ECMWF forecast data for a Latitude/Longitude point.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeHoursGetTest() {
        Float latitude = null;
        Float longitude = null;
        List<String> fields = null;
        String unitScale = null;
        //EcmwfForecastPointHourObj response = api.pointsLatitudelongitudeHoursGet(latitude, longitude, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
    /**
     * An hour of ECMWF forecast data for a Latitude/Longitude point.
     *
     * Returns a single hour of ECMWF forecast data for a Latitude/Longitude point. The provided timestamp must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeHoursTimestampGetTest() {
        Float latitude = null;
        Float longitude = null;
        Date timestamp = null;
        List<String> fields = null;
        String unitScale = null;
        //EcmwfForecastPointHourObj response = api.pointsLatitudelongitudeHoursTimestampGet(latitude, longitude, timestamp, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
    /**
     * A contiguous range of hourly ECMWF forecast data for a Latitude/Longitude point.
     *
     * Returns a contiguous range of hourly ECMWF forecast data for a Latitude/Longitude point. The provided timestamps must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeHoursTimestampStarttimestampEndGetTest() {
        Float latitude = null;
        Float longitude = null;
        Date timestampStart = null;
        Date timestampEnd = null;
        List<String> fields = null;
        String unitScale = null;
        //EcmwfForecastPointHourObj response = api.pointsLatitudelongitudeHoursTimestampStarttimestampEndGet(latitude, longitude, timestampStart, timestampEnd, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
}
